QuickFIX: FIX::DataDictionaryProvider Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::DataDictionaryProvider Class Reference

Queries for DataDictionary based on appropriate version of FIX. More...

`#include <DataDictionaryProvider.h>`

Collaboration diagram for FIX::DataDictionaryProvider:
[legend]

List of all members.

## Public Member Functions
| DataDictionaryProvider ()
| DataDictionaryProvider (const DataDictionaryProvider &copy)
const DataDictionary & | getSessionDataDictionary (const BeginString &beginString) throw ( DataDictionaryNotFound )
const DataDictionary & | getApplicationDataDictionary (const ApplVerID &applVerID) throw ( DataDictionaryNotFound )
void | addTransportDataDictionary (const BeginString &beginString, const DataDictionary &dd)
void | addApplicationDataDictionary (const ApplVerID applVerID, const DataDictionary &dd)
## Private Attributes
std::map< std::string, DataDictionary > | m_transportDictionaries
std::map< std::string, DataDictionary > | m_applicationDictionaries
DataDictionary | emptyDataDictionary

## Detailed Description

Queries for DataDictionary based on appropriate version of FIX.

Definition at line 41 of file DataDictionaryProvider.h.

## Constructor & Destructor Documentation

FIX::DataDictionaryProvider::DataDictionaryProvider | ( |  | ) | `[inline]`

Definition at line 44 of file DataDictionaryProvider.h.

    00044 {}

FIX::DataDictionaryProvider::DataDictionaryProvider | ( | const DataDictionaryProvider & | copy | ) |

Definition at line 33 of file DataDictionaryProvider.cpp.

    00034 {
    00035   *this = copy;
    00036 }

## Member Function Documentation

void FIX::DataDictionaryProvider::addApplicationDataDictionary | ( | const ApplVerID | applVerID,
|  | const DataDictionary & | dd |
| ) |  |  |

Definition at line 67 of file DataDictionaryProvider.cpp.

    00068 {
    00069   m_applicationDictionaries[applVerID.getValue()] = dd;
    00070 }

void FIX::DataDictionaryProvider::addTransportDataDictionary | ( | const BeginString & | beginString,
|  | const DataDictionary & | dd |
| ) |  |  |

Definition at line 61 of file DataDictionaryProvider.cpp.

    00062 {
    00063   m_transportDictionaries[beginString.getValue()] = dd;
    00064 }

const DataDictionary & FIX::DataDictionaryProvider::getApplicationDataDictionary | ( | const ApplVerID & | applVerID | ) | throw ( DataDictionaryNotFound )

Definition at line 50 of file DataDictionaryProvider.cpp.

Referenced by FIX::Session::next(), and FIX::Session::nextResendRequest().

    00051 {
    00052   std::map<std::string, DataDictionary>::iterator find =
    00053     m_applicationDictionaries.find(applVerID);
    00054   if( find != m_applicationDictionaries.end() )
    00055     return find->second;
    00056
    00057   return emptyDataDictionary;
    00058 }

const DataDictionary & FIX::DataDictionaryProvider::getSessionDataDictionary | ( | const BeginString & | beginString | ) | throw ( DataDictionaryNotFound )

Definition at line 39 of file DataDictionaryProvider.cpp.

Referenced by FIX::Session::next(), and FIX::Session::nextResendRequest().

    00040 {
    00041   std::map<std::string, DataDictionary>::iterator find =
    00042     m_transportDictionaries.find(beginString);
    00043   if( find != m_transportDictionaries.end() )
    00044     return find->second;
    00045
    00046   return emptyDataDictionary;
    00047 }

## Member Data Documentation

DataDictionary FIX::DataDictionaryProvider::emptyDataDictionary`[private]`

Definition at line 59 of file DataDictionaryProvider.h.

std::map<std::string, DataDictionary> FIX::DataDictionaryProvider::m_applicationDictionaries`[private]`

Definition at line 58 of file DataDictionaryProvider.h.

std::map<std::string, DataDictionary> FIX::DataDictionaryProvider::m_transportDictionaries`[private]`

Definition at line 57 of file DataDictionaryProvider.h.

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/DataDictionaryProvider.h
- /home/omiller/Development/autobuild/quickfix/src/C++/DataDictionaryProvider.cpp